<%@ Page Language="C#" MasterPageFile="~/MasterPages/TabView.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="SS101000.aspx.cs" Inherits="Page_SS101000" Title="ShipStation Configuration" %>
<%@ MasterType VirtualPath="~/MasterPages/TabView.master" %>


<asp:Content ID="cont1" ContentPlaceHolderID="phDS" Runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%" TypeName="ShipStation.SSSetupMaint" PrimaryView="Setup">
		<CallbackCommands>
		</CallbackCommands>
	</px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" Runat="Server">
    <px:PXFormView ID="frmSetup" runat="server" DataSourceID="ds" Height="150px" Style="z-index: 100" Width="100%" DataMember="Setup">
		<Template>
<%--            Configuration settings--%>
		    <px:PXLayoutRule runat="server" GroupCaption="Configuration settings" LabelsWidth="SM" ControlSize="XM" StartColumn="True" />
        
            <px:PXDropDown ID="pxExportEntityType" runat="server" CommitChanges="True" DataField="ExportEntityType" /> 
            <px:PXDropDown ID="pxOrderType" runat="server" CommitChanges="True" DataField="OrderType" Size="XM"/>   
             <px:PXCheckBox ID="edEnableSupportPartialShipment" runat="server" CommitChanges="True" DataField="EnableSupportPartialShipment" AlignLeft="true"/>            
             <px:PXDropDown ID="pxShipVia" runat="server" CommitChanges="True" DataField="ShipVia" Size="XM"/>
             <px:PXCheckBox ID="edModifyShipViaonShipmentConfirmation" runat="server" CommitChanges="True" DataField="ModifyShipViaonShipmentConfirmation" AlignLeft="true"/>
             <px:PXSelector ID="pxCarrier" runat="server" CommitChanges="True" DataField="Carrier" />
             <px:PXSelector ID="pxDefaultBox" runat="server" CommitChanges="True" DataField="DefaultBox" />
            <px:PXSelector ID="edDefaultShippingTerms" runat="server" CommitChanges="True" DataField="DefaultShippingTerms" />
            <px:PXDropDown ID="edWeightUnit" runat="server" CommitChanges="True" DataField="WeightUnit" Size="XM"/>
             <px:PXCheckBox ID="edImportFreightCostvalue" runat="server" CommitChanges="True" DataField="ImportFreightCostvalue" AlignLeft="true"/>
            <px:PXCheckBox ID="edReplaceCompanyName" runat="server" CommitChanges="True" DataField="ReplaceCompanyName" AlignLeft="true"/>                                		   
            <px:PXNumberEdit ID="edPageSize" runat="server" CommitChanges="true" DataField="ExportPageSize" />
            <px:PXNumberEdit ID="edshipDateAdjust" runat="server" CommitChanges="True" DataField="shipDateAdjust" />
             <px:PXCheckBox ID="pxNotifyOnShipmentDeletion" runat="server" AlreadyLocalized="False" CommitChanges="True" DataField="NotifyOnShipmentDeletion" AlignLeft="true"/>
                                
<%--			API settings--%>
			<px:PXTextEdit ID="pxApiKey" runat="server" AlreadyLocalized="False" CommitChanges="True" DataField="ApiKey"/>
			<px:PXTextEdit ID="pxApiPassword" runat="server" TextMode="Password" AlreadyLocalized="False" CommitChanges="True" DataField="ApiPassword" />
			<px:PXTextEdit ID="pxConfirmApiPassword" runat="server" TextMode="Password" AlreadyLocalized="False" CommitChanges="True" DataField="ConfirmApiPassword" />
            
            <div runat="server" id="divTerms" style="height: 225px; width: 475px; border: 1px; border-width: 1px; border-color: gray; font-family: Arial; font-size: 11px">

                <p><b><u> NOTES:</u></b></p>
                <p>a.   If any Orders or Shipments fail the required length or mandatory conditions of ShipStation, the same is excluded. This information will be logged in the screen called "ShipStation Log Details" with a text that says Order/Shipment XYZ skipped because of specific reason.  Please monitor the logs regularly for any specific messages there. </p>

                <p>b.   If a shipment is exported to ShipStation and then deleted in Acumatica without the Notify on Deletion feature activated; in this scenario when Shipment confirmation is received from ShipStation no further action will happen in Acumatica except for an entry in the logs</p>

                <p>c.  It is recommended that you activate the Notify on Deletion feature so that you are warned when you try to delete and Order or Shipment in Acumatica and if that same entry is already present in the ShipStation system</p>

            </div>


        </Template>
		<AutoSize Container="Window" Enabled="True" MinHeight="200" />
	</px:PXFormView>
</asp:Content>